Bug 89072 - Installation generates invalid lilo.conf (disks start mounted)
Installation generates invalid lilo.conf (disks start mounted)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-17 02:03 EDT by Maciej Michno
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-28 19:59:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lilo.conf created by the installer (281 bytes, text/plain)
2003-04-17 02:06 EDT, Maciej Michno
no flags Details
My working lilo.conf (306 bytes, text/plain)
2003-04-17 02:07 EDT, Maciej Michno
no flags Details

  None (edit)
Description Maciej Michno 2003-04-17 02:03:02 EDT
Ingredients:  
Red Hat inux 8 + ext2 disks + upgrade to Red Hat Linux 9 + LILO 
 
During installation (upgrading process) leave the disks in ext2 (don't migrate to ext3) 
Don't migrate to grub, select the recomended option (update the existing boot 
manager -- LILO) 
 
At boot time the disks will have to be checked by e2fsck and this will not be 
possible: partitions are mounted read-write at startup -- the installation produced an 
erroneous lilo.conf file.
Comment 1 Maciej Michno 2003-04-17 02:06:08 EDT
Created attachment 91169 [details]
lilo.conf created by the installer

This is the file produced by the installation.
There was one more line in the linux section pointing to the initrd file, but I
have deleted it accidentally and don't have a backup version...
Comment 2 Maciej Michno 2003-04-17 02:07:34 EDT
Created attachment 91170 [details]
My working lilo.conf
Comment 3 Jeremy Katz 2003-04-22 22:00:50 EDT
There's a read-only in the section for the new kernel, so it should be right. 
Could you please attach the complete kernel messages for booting with the
original lilo.conf?
Comment 4 Maciej Michno 2003-04-30 07:38:03 EDT
Please, tell me exactly what do you need and how can I save these kernel 
messages... 
Comment 5 Jeremy Katz 2003-07-28 19:59:33 EDT
Fixed in current code.

Note You need to log in before you can comment on or make changes to this bug.